
QGIS Application - Bug report #6210

Choosing the CRS from the "recently used CRS" does nothing (on the first selection/click)

2012-08-16 06:27 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 15523

Description

On the options menu, under the "CRS" tab, there are two boxes to select the CRS.

If I go into either of these, they have a "recently used CRS" box at the top with a list of CRSs I've used recently. However clicking on these

CRSs doesn't do anything. Only clicking on the ones in the bottom box ("CRSs of the world") does anything.

This is in contrast to when I go to a individual layer and specify the CRS for that; on that CRS selector the "Recently used CRS" box does

select the specified CRS as I'd expect it to.

Related issues:

Duplicated by QGIS Application - Bug report # 9186: Assign projection dialog ... Closed 2013-12-09

History

#1 - 2012-08-16 09:49 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Category set to GUI

- Status changed from Open to Feedback

Not confirmed here with master and Ubuntu 12.04 64 bit.

What version are you using? what OS?

#2 - 2012-08-16 10:11 AM - Jonathan Moules

Windows XP (32bit) running 1.8.0.1.

I've tested it some more and it seems to be an intermittent bug.

If there are two coordinate systems in the recent list (I just had one), then clicking on one does nothing (i.e., this bug), but then if you click the /other/ one, it

starts working as desired. Doesn't matter what the coordinate systems are by the seems of it, or what order they're clicked, just that the first one clicked

won't work, but all later clicks will.

#3 - 2012-08-16 10:14 AM - Giovanni Manghi

Jonathan Moules wrote:

Windows XP (32bit) running 1.8.0.1.
I've tested it some more and it seems to be an intermittent bug.

If there are two coordinate systems in the recent list (I just had one), then clicking on one does nothing (i.e., this bug), but then if you click the /other/

one, it starts working as desired. Doesn't matter what the coordinate systems are by the seems of it, or what order they're clicked, just that the first

one clicked won't work, but all later clicks will.

can you give a try to master? you can install it with osgeo4w, thanks!

#4 - 2012-08-16 10:18 AM - Giovanni Manghi

- Affected QGIS version changed from master to 1.8.0

#5 - 2012-08-16 10:19 AM - Jonathan Moules

If it was for personal use, I probably would, but I'd rather not because I'm investigating QGIS for corporate use, so rather obviously want to stick to using a

stable version. Sorry!

#6 - 2012-08-16 10:28 AM - Giovanni Manghi

Jonathan Moules wrote:

If it was for personal use, I probably would, but I'd rather not because I'm investigating QGIS for corporate use, so rather obviously want to stick to

using a stable version. Sorry!

Not sure I understand. Not sure either that this was an issue that was already fixed in the master version. This is how it works (do not expect fixes to be

backported). Anyway I tested also under Windows and it works ok too for me.

Just to allow close the ticket (or leave it open) can you test this at home? :) cheers!

#7 - 2012-08-28 02:18 AM - Jonathan Moules

I tried to install QGIS 1.9.0.52 I think it was from home using the "OSGeo4W Installer". Unfortunately when I tried to run QGIS it gave me a "QGIS_core.dll

not found" error and wouldn't start. This was a completely clean install onto a system that had never had qgis installed on it before. Anyway, this means I

can't test it.

However if you can't replicate the issue in master I'd suggest just closing the ticket. I'll reopen it if I encounter it again in a later stable release. Thanks.

#8 - 2012-08-28 02:23 AM - Giovanni Manghi

Jonathan Moules wrote:

I tried to install QGIS 1.9.0.52 I think it was from home using the "OSGeo4W Installer". Unfortunately when I tried to run QGIS it gave me a

"QGIS_core.dll not found" error and wouldn't start. This was a completely clean install onto a system that had never had qgis installed on it before.

Anyway, this means I can't test it.

However if you can't replicate the issue in master I'd suggest just closing the ticket. I'll reopen it if I encounter it again in a later stable release.

Thanks.

The issue you are hitting is not a QGIS one: you another sw that made it wrong when installing by placing that .dll in a system folder like system32 and so
contributing to the called "dll hell." Look for such file into your system, rename it and then qgis will start.

#9 - 2013-02-01 04:56 AM - Jonathan Moules

Sorry. I've now tried at least five times to install QGIS-master and it always fails/doesn't work. I can only run pre-packaged stable builds. As such I can't

test this in master.

#10 - 2013-02-04 08:45 AM - Jonathan Moules

Confirmed that it still happens in master. Clicking the top reference filter does nothing.

#11 - 2013-09-26 08:57 AM - Jonathan Moules

This still happens in 2.0.1

#12 - 2013-09-26 10:23 AM - Giovanni Manghi

- Subject changed from Options -> CRS Selector to Choosing the CRS from the "recently used CRS" does nothing (on the first selection/click)

- Status changed from Feedback to Open

- Target version changed from Version 2.0.0 to 70

- Affected QGIS version changed from 1.8.0 to master

Yes, it is still around... the first selection/click fails to select a CRS, the following work. Very boring in real life work.

#13 - 2013-09-26 11:30 AM - Jürgen Fischer

- Target version changed from 70 to Future Release - High Priority

#14 - 2014-06-03 07:48 PM - Nathan Woodrow

Which dialog are we talking about here?

#15 - 2014-06-03 11:54 PM - Giovanni Manghi

Nathan Woodrow wrote:

Which dialog are we talking about here?

the dialog that allows to choose a CRS, regardless of where it has been open: can be in project properties, layer properties, a command in the

raster/vector menu, etc.

#16 - 2015-12-13 03:48 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...
I can't reproduce it on QGIS 2.13 master (it should also work on QGIS 2.12.1).

Can you confirm ?

#17 - 2015-12-20 10:28 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

no need to wait to close this one, it has been fixed a long ago.
